Package org.spongepowered.asm.logging

## Enum Level

- java.lang.Object
- - java.lang.Enum<Level>
  - - org.spongepowered.asm.logging.Level

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Level>`

    public enum Level
    extends java.lang.Enum<Level>

### Enum Constant Summary

Enum Constants
`DEBUG`
`ERROR`
`FATAL`
`INFO`
`TRACE`
`WARN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Level` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Level[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FATAL

    public static final Level FATAL

#### ERROR

    public static final Level ERROR

#### WARN

    public static final Level WARN

#### INFO

    public static final Level INFO

#### DEBUG

    public static final Level DEBUG

#### TRACE

    public static final Level TRACE

### Method Detail

#### values

    public static Level[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Level c : Level.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Level valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null